package com.example.employee.employee.model;
// Generated Nov 28, 2019 3:40:09 PM by Hibernate Tools 4.3.5.Final

import java.math.BigDecimal;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;

/**
 * PresentaseGaji generated by hbm2java
 */
@Entity
@Table(name = "presentase_gaji", schema = "public")
public class PresentaseGaji implements java.io.Serializable {

	private long idPresentaseGaji;
	private Posisi posisi;
	private Long idTingkatan;
	private BigDecimal besaranGaji;
	private Integer masaKerja;

	public PresentaseGaji() {
	}

	public PresentaseGaji(long idPresentaseGaji, BigDecimal besaranGaji) {
		this.idPresentaseGaji = idPresentaseGaji;
		this.besaranGaji = besaranGaji;
	}

	public PresentaseGaji(long idPresentaseGaji, Posisi posisi, Long idTingkatan, BigDecimal besaranGaji,
			Integer masaKerja) {
		this.idPresentaseGaji = idPresentaseGaji;
		this.posisi = posisi;
		this.idTingkatan = idTingkatan;
		this.besaranGaji = besaranGaji;
		this.masaKerja = masaKerja;
	}

	@Id
	@GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "presentase_gaji_id_seq_gen")
	@SequenceGenerator(name="presentase_gaji_id_seq_gen", sequenceName="presentase_gaji_id_seq", schema = "public", allocationSize = 1)
	@Column(name = "`ID_PRESENTASE_GAJI`", unique = true, nullable = false)
	public long getIdPresentaseGaji() {
		return this.idPresentaseGaji;
	}

	public void setIdPresentaseGaji(long idPresentaseGaji) {
		this.idPresentaseGaji = idPresentaseGaji;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "`ID_POSISI`")
	public Posisi getPosisi() {
		return this.posisi;
	}

	public void setPosisi(Posisi posisi) {
		this.posisi = posisi;
	}

	@Column(name = "`ID_TINGKATAN`")
	public Long getIdTingkatan() {
		return this.idTingkatan;
	}

	public void setIdTingkatan(Long idTingkatan) {
		this.idTingkatan = idTingkatan;
	}

	@Column(name = "`BESARAN_GAJI`", nullable = false, precision = 16, scale = 4)
	public BigDecimal getBesaranGaji() {
		return this.besaranGaji;
	}

	public void setBesaranGaji(BigDecimal besaranGaji) {
		this.besaranGaji = besaranGaji;
	}

	@Column(name = "`MASA_KERJA`")
	public Integer getMasaKerja() {
		return this.masaKerja;
	}

	public void setMasaKerja(Integer masaKerja) {
		this.masaKerja = masaKerja;
	}

}
